Vla-get-plotwithlineweights

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-get-plotwithlineweights vla-object )


機能
印刷ファイルで割り当てられている線の太さを使用してオブジェクトを印刷するか、図面ファイル内の線の太さを使用して印刷するかを取得する。


引数
  • vla-object … VLAオブジェクト(Layout、PlotConfiguration)


戻り値
ブール型
  • :vlax-True: 印刷スタイルの線の太さを使用して印刷する。
  • :vlax-False: 図面ファイルの線の太さを使用して印刷する。


サンプル
(vl-load-com)
(defun c:Example_PlotWithLineweights()
    ;; PlotWithLineweights の設定を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; layout オブジェクトを取得
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; 既定値を読み込み
    (setq originalValue (vla-get-PlotWithLineweights ACADLayout))
    (alert (strcat "現在の PlotWithLineweights 値は : " (if (= originalValue :vlax-true) "True" "False")))

    ;; 変更
    (vla-put-PlotWithLineweights ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PlotWithLineweights ACADLayout))
    (alert (strcat "新しい PlotWithLineweights 値は : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-PlotWithLineweights ACADLayout originalValue)
    (alert (strcat "PlotWithLineweights 値を次に戻しました : " (if (= originalValue :vlax-true) "True" "False")))
)

関連事項